RLM_IPPOOL_TOOL(8)

NAME
rlm_redis_ippool_tool - FreeRADIUS Redis IP pool management tool.

SYNOPSIS
rlm_redis_ippool_tool [-adrsm prefix [-p prefix_len]] [-lLs] [-hx] [-f file] server[:port] [pool] [range]

DESCRIPTION
rlm_redis_ippool_tool is used to manage pools operated on by rlm_redis_ippool.

Any address or prefix allocated by rlm_redis_ippool must first be added to a pool using rlm_redis_ippool_tool.

Addresses or prefixes within a pool may be tagged with a range.

This range will be presented as an attribute by rlm_redis_ippool if allocation is successful, and may be used as a key to retrieve additional options associated with that address or prefix, such as a default gateway and/or subnet.

rlm_redis_ippool does not support retrieving options from Redis. One of the other datastore modules such as rlm_sql or rlm_redis should be used instead.

OPTIONS
One or more action must be specified per invocation.

Perform an action on the specified pool:

-a range
    Add address(es) or prefix(es) with the specified range.

-d range
    Delete address(es) or prefix(es). range is ignored.

-r range
    Release leases. range is ignored.

-s range
    Show leases. range is ignored.

-m range
    Modify the range associated with address(es) or prefix(es).

-p prefix_len
    Set the length of the network portion of IPv4 or IPv6 addresses in the previous range. For IPv6 this value should be between 1-128, for IPv4 this value should be between 1-32.

Retrieve information about pools:

-l  List available pools.

-S  Print pool statistics

Alter the behaviour of rlm_redis_ippool_tool:

-h  Print usage information.

-x  Increase verbosity of log outbout.

-f file
    Load connection options from a FreeRADIUS (radiusd) rlm_redis_ippool file.

RANGE
A range specifies one or more IPv4 or IPv6 prefix(es). If no -p argument is specified the length of the prefixes will be 32 for IPv4 and 128 for IPv6.

Ranges may be specified in multiple formats:

192.0.2.1
    Single IPv4 address.

2001:DB8::1
    Single IPv6 address.

192.0.2.1-192.0.2.10
    Range of IPv4 addresses.

2001:DB8::1-2001:DB8::10
    Range of IPv6 addresses.

192.168.2.0/24
    All IPv4 addresses in the Class C 192.168.2/24 network, excluding the broadcast address (192.168.2.255).

2001:DB8::/120
    All IPv6 addresses in the 2001:DB8::/120 network.

192.168.2.250/24
    Last five (.250,.251,.252,.253,.254) IPv4 addresses in the Class C 192.168.2/24 network.

2001:DB8::FA/120
    Last five (:FA,:FB,:FC,:FD,.:FE) IPv6 addresses in the 2001:DB8::/120 network.

When the -p argument is used, the range argument is taken to mean all sub-networks of that size in the specified network or range of addresses.

For example:

-a 192.168.250/24 -p 24
    Adds prefixes 192.168.250/24, 192.168.251/24, 192.168.253/24, 192.168.254/24 and 192.168.255/24.

SEE ALSO
radiusd(8)

AUTHORS
Arran Cudbard-Bell <a.cudbardb@freeradius.org>